### Method

# Gsk GLShader get_uniform_offset

deprecated: 4.16

#### Declaration [src]

    int
    gsk_gl_shader_get_uniform_offset (
      GskGLShader* shader,
      int idx
    )

#### Description [src]

Get the offset into the data block where data for this uniforms is stored.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

#### Parameters

`idx`

  Type: `int`

  Index of the uniform.

#### Return value

Type: `int`

The data offset.